メインコンテンツへスキップ
GET
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-accounts
/
{channelAccountId}
Get a channel account by id
curl --request GET \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts/{channelAccountId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts/{channelAccountId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts/{channelAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "archived": true,
  "authorized": true,
  "channelId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "inboxId": "<string>",
  "name": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "deliveryIdentifier": {
    "value": "<string>"
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

channelAccountId
integer<int64>
必須
channelId
integer<int32>
必須

クエリパラメータ

archived
boolean
デフォルト:false

Whether to return only results that have been archived.

レスポンス

successful operation

active
boolean
必須
archived
boolean
必須
authorized
boolean
必須
channelId
string
必須
createdAt
string<date-time>
必須
id
string
必須
inboxId
string
必須
name
string
必須
archivedAt
string<date-time>
deliveryIdentifier
object
最終更新日 2026年4月10日